REBOL [
	Title:  "REBOL Internet Protocols"
	Rights: "Copyright REBOL Technologies 1997-2002"
	; You are free to use, modify, and distribute this software with any
	; REBOL Technologies products as long as the above header, copyright,
	; and this comment remain intact. This software is provided "as is"
	; and without warranties of any kind. In no event shall the owners or
	; contributors be liable for any damages of any kind, even if advised
	; of the possibility of such damage. See license for more information.

	; Please help us to improve this software by contributing changes and
	; fixes via http://www.rebol.com/feedback.html - Thanks!
]

cp: copy*: :copy

#include %prot-utils.r

#include %prot-setnet.r
#include %prot-header.r

#include %prot-root.r

#include %prot-finger.r
#include %prot-daytime.r
#include %prot-smtp.r
#include %prot-esmtp.r
#include %prot-pop.r
#include %prot-imap.r
#include %prot-http.r
#include %prot-ftp.r
#include %prot-nntp.r

#include %prot-email.r
#include %prot-send.r


;-- Boot.r stuff:

system/standard/email/X-REBOL: reform [
	system/product system/version http://WWW.REBOL.COM
]

system/network/host: does [system/network/host: read dns://]

system/network/host-address: does [
	system/network/host-address: read join dns:// system/network/host
]
